Skip to main content
GET
/
v1
/
checkout
/
{id}
/
status
Get Checkout Status
curl --request GET \
  --url https://api.bkey.id/v1/checkout/{id}/status \
  --header 'Authorization: Bearer <token>'
{
  "success": true,
  "checkoutRequest": {
    "id": "<string>",
    "status": "<string>",
    "orderConfirmation": {
      "provider": "stripe_connect",
      "sptId": "<string>",
      "paymentIntentId": "<string>",
      "stripePaymentMethodId": "<string>",
      "amount": 123,
      "currency": "<string>",
      "status": "<string>",
      "sptExpiresAt": "<string>",
      "error": "<string>",
      "chargeId": "<string>",
      "paidAt": "<string>",
      "failureMessage": "<string>",
      "failureCode": "<string>",
      "failedAt": "<string>",
      "orderId": "<string>",
      "metadata": {}
    },
    "approvedAt": "2023-11-07T05:31:56Z",
    "completedAt": "2023-11-07T05:31:56Z",
    "expiresAt": "2023-11-07T05:31:56Z",
    "sptId": "<string>",
    "paymentIntentId": "<string>"
  }
}

Authorizations

Authorization
string
header
required

EdDSA-signed JWT obtained via OAuth 2.1 client_credentials or CIBA

Path Parameters

id
string<uuid>
required

Response

Default Response

success
boolean
required
checkoutRequest
object
required